<ion-header><ion-navbar></ion-navbar></ion-header>

<ion-content>
  <ion-grid fixed>
    <ion-list>
      <ion-item text-wrap>
        <ion-thumbnail item-start>
          <img src="../../assets/imgs/organizations/{{ organization.thumbnail }}.jpg" />
        </ion-thumbnail>
        <h2>{{ organization.name }}</h2>
        <p>{{ organization.slogan }}</p>
        <button ion-button item-end (click)="dismiss()">
          <ion-icon name="close"></ion-icon>
        </button>
      </ion-item>
      <ion-item>
        <img src="../../assets/imgs/stockphoto/{{ organization.thumbnail }}.jpg" class="stockphoto" />
      </ion-item>
      <ion-item>
        <ion-row>
          <ion-col>
            <a [href]="organization.website" (click)="webAnalyticsService.visitCharityWebsite(organization.thumbnail)" target="_blank">
              <button ion-button icon-start clear>
                <ion-icon name="browsers"></ion-icon>
                <div>Website</div>
              </button>
            </a>
          </ion-col>
          <ion-col *ngIf="organization.donationLink">
            <a [href]="organization.donationLink" (click)="webAnalyticsService.donateToCharity(organization.thumbnail)" target="_blank">
              <button ion-button icon-start clear>
                <ion-icon name="cash"></ion-icon>
                <div>Direkte <span *ngIf="organization.taxDeductable">steuereffektive </span>Spende</div>
              </button>
            </a>
          </ion-col>
          <ion-col *ngIf="organization.donationLink3rdParty">
            <a [href]="organization.donationLink3rdParty" (click)="webAnalyticsService.donateToCharityViaEAS(organization.thumbnail)" target="_blank">
              <button ion-button icon-start clear>
                <ion-icon name="card"></ion-icon>
                <div>Steuereffektive Spende via Partner</div>
              </button>
            </a>
          </ion-col>
        </ion-row>
      </ion-item>
      <ion-item text-wrap>
        <ion-icon name="list-box" item-start></ion-icon>
        <h2>Was macht <span *ngIf="organization.article">{{ organization.article }} </span>{{ organization.name }}?</h2>
        {{ organization.longDescription }}
      </ion-item>
      <ion-item *ngIf="organization.regions.length > 0">
        <div [chart]="worldmap"></div>
      </ion-item>
      <ion-item text-wrap *ngIf="organization.regions.length == 0">
        <ion-icon name="globe" item-start></ion-icon>
        <h2>Aktionsgebiete in denen <span *ngIf="organization.article">{{ organization.article }} </span>{{organization.name}} t&auml;tig ist</h2>
        Hierzu liegen uns leider keine Informationen vor oder aber <span *ngIf="organization.article">{{ organization.article }} </span>{{organization.name}} hat kein begrenztes Aktionsgebiet.
      </ion-item>
      <ion-item text-wrap>
        <ion-icon name="medkit" item-start></ion-icon>
        <h2>Was bewirkt <span *ngIf="organization.article">{{ organization.article }} </span>{{ organization.name }} mit 1.000 €?</h2>
        <span *ngIf="organization.impact1000">{{ organization.impact1000 }}</span>
        <span *ngIf="!organization.impact1000">Hierzu liegen uns leider keine Informationen vor.</span>
      </ion-item>
      <ion-item *ngIf="organization.donationDeficit" text-wrap>
        <div [chart]="chart"></div>
        <p>
          Das Spendendefizit stellt die Lücke zwischen möglicher Spendenkapazität und den erwarteten Spenden dar.
          Die möglichen Spendenkapazitäten berücksichtigen dabei, dass die Programme weiterhin in gleicher Weise durchgeführt werden und damit ihre getestete Effizienz beibehalten.
          Die erwarteten Spenden ergeben sich aus bereits zugesicherte Spenden sowie einer auf jede Organisation zugeschnittenen Hochrechnung.
        </p>
      </ion-item>
      <ion-item text-wrap *ngIf="!organization.donationDeficit">
        <ion-icon name="help-buoy" item-start></ion-icon>
        <h2>Spendendefizit</h2>
        Hierzu liegen uns leider keine Informationen vor.
      </ion-item>
      <ion-item text-wrap *ngIf="organization.evaluators.length > 0">
        <h3>Empfohlen von</h3>
        <a *ngFor="let e of organization.evaluators" [href]="e.top ? e.link : '#'" [target]="e.top ? '_blank' : '_self'">
          <ion-badge color="{{ e.top && 'danger' || 'secondary' }}" style="margin-right: 3px">{{e.evaluator}}</ion-badge>
        </a>
      </ion-item>
    </ion-list>
    <div class="bottom-space"></div>
  </ion-grid>
</ion-content>
